Bug 321825 - gwenview cannot open svgz files
Summary: gwenview cannot open svgz files
Status: REOPENED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 4.11.0 beta2
Platform: Other Linux
: NOR normal with 5 votes (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-01 12:44 UTC by Rohan Garg
Modified: 2022-01-11 12:14 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.0


Attachments
Error opening svgz file (14.08 KB, image/png)
2021-11-01 07:33 UTC, popov895
Details
screencast (1.29 MB, video/ogg)
2022-01-09 18:58 UTC, Holger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rohan Garg 2013-07-01 12:44:47 UTC
Can't open a svgz file in gwenview

Reproducible: Always

Steps to Reproduce:
1. Download a svgz file
2. Try and open it
Actual Results:  
All I get is a spinny icon

Expected Results:  
svgz opens in gwenview
Comment 1 Aurelien Gateau 2013-07-23 14:14:42 UTC
Git commit 3a697c0c0ea56ea6dcb6c95a37ec7f6e659f3b71 by Aurélien Gâteau.
Committed on 23/07/2013 at 13:24.
Pushed by gateau into branch 'KDE/4.11'.

Fix two related bugs with svg support

1. Do not treat .svgz as archives
2. Fix directory not loaded when started with a .svg as argument

Posted for review on https://git.reviewboard.kde.org/r/111362/ but the changes
did not get reviewed. I am committing them nevertheless because I want the bug
to be fixed in rc2 and my personal testing did not spot any issue.

FIXED-IN: 4.11.0
Related: bug 207115


http://commits.kde.org/gwenview/3a697c0c0ea56ea6dcb6c95a37ec7f6e659f3b71
Comment 2 popov895 2021-11-01 07:33:29 UTC
Created attachment 143081 [details]
Error opening svgz file

I'm sure Gwenview used to open svgz files, but now I get error "Gwenview cannot display documents of type application/gzip." when I try to open any svgz file.
Comment 3 popov895 2021-11-08 19:57:01 UTC
See Comment 2
Comment 4 Holger 2022-01-09 18:58:17 UTC
Created attachment 145278 [details]
screencast

Was about to report the same bug.

The preview icons are still calculated (possible available in the icon cache?), but I am unable to see the picture dimensions or the picture itself.

Please be aware, that this SVG in uncompressed is displaying fine even with the limited capabilities of Gwenview before bug 336436 gets resolved.

This definitely is a regression from Kubuntu 21.04 to 21.10

Betriebssystem: Kubuntu 21.10
KDE-Plasma-Version: 5.22.5
KDE-Frameworks-Version: 5.86.0
Qt-Version: 5.15.2
Kernel-Version: 5.13.0-22-generic (64-bit)
Grafik-Plattform: X11
Prozessoren: 8 × Intel® Core™ i7-4700MQ CPU @ 2.40GHz
Speicher: 15,5 GiB Arbeitsspeicher
Grafikprozessor: Mesa DRI Intel® HD Graphics 4600